# Qt initialization script (sh)

#qt_prefix=`/usr/bin/pkg-config --variable=prefix qt-mt`
#qt_prefix="/usr/lib64/qt5/"
qt_prefix="/opt/Qt5"

CYFLEX_QT5_VERSION="5.12.12"
if ! echo ${PATH} | /bin/grep -q $qt_prefix/bin ; then
   PATH=$qt_prefix/bin:${PATH}
fi

if [ -z "$QT5DIR" ] ; then
	QT5DIR="$qt_prefix"
	QT5INC="$qt_prefix/include"
	QT5LIB="$qt_prefix/lib"
fi

local_plugin_dirs="/cyflex/LIB:/usr/local/lib"
if ! echo ${QT_PLUGIN_PATH} | /bin/grep -q $local_plugin_dirs ; then
	export QT_PLUGIN_PATH=$local_plugin_dirs:${QT_PLUGIN_PATH}
fi
export QT5DIR QT5INC QT5LIB CYFLEX_QT5_VERSION PATH
